textures/ut_village4/valley_skybox
{
	qer_editorimage textures/ut_village4/valley_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 250
	surfaceparm sky
	q3map_skylight 600 4
	q3map_sun 1.0 0.81 0.7 1200 220 45
	skyparms env/ut_village4/valley - -
}

textures/ut_village4/caulk
{
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ut_village4/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/ut_village4/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}


textures/ut_village4/hint // should NOT use surfaceparm hint.. strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}


textures/ut_village4/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ut_village4/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ut_village4/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}


textures/ut_village4/tub_waterfall1
{
	qer_editorimage textures/ut_village4/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/ut_village4/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 -.356
		}
	
		{ 
			map textures/ut_village4/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.354
		}

		{ 
			map textures/ut_village4/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 -.4
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	
}


textures/ut_village4/clear_ripple1
{
		qer_editorimage textures/ut_village4/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/ut_village4/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut_village4/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ut_village4/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/ut_village4/clear_ripple1_q3dm1
{
		qer_editorimage textures/ut_village4/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/ut_village4/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut_village4/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ut_village4/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
//	END
	}

textures/ut_village4/ladderclip
{
	  qer_editorimage textures/ut_village4/ladderclip.jpg
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}



textures/ut_village4/beam_dusty2
{
	qer_editorimage textures/ut_village4/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	//surfaceparm nomipmaps
        //nopicmip
	{
		map textures/ut_village4/beam_1.tga
		//tcMod Scroll .3 0
                blendFunc add
        }
	//{
		//map textures/sfx/beamdust.tga
		//tcmod scale 2 2
		//tcMod turb 0 0.015 0.025 0.05
		//tcMod Scroll -0.15 0
		//blendFunc GL_ONE GL_ONE
	//}
	//{
		//map textures/sfx/beam_mask.tga
		//blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR  
	//}
}

textures/ut_village4/vines
{	
    	qer_editorimage textures/ut_village4/vines.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut_village4/vines.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_village4/vines2
{	
    	qer_editorimage textures/ut_village4/vines2.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut_village4/vines2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_village4/tv_nothingon
{
	q3map_lightimage textures/ut_village4/CEILING1.TGA
	q3map_surfacelight 100

	{
		map textures/ut_village4/CEILING1.TGA
	}
	{
		map textures/ut_village4/comp3textb.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}


textures/ut_village4/baslt4_1_2k
{
	qer_editorimage textures/ut_village4/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_village4/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_village4/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ut_village4/baslt4_1_4k
{
	qer_editorimage textures/ut_village4/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_village4/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_village4/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/ut_village4/tubbanner1
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/ut_village4/rf.tga
		rgbGen identity
	}
        {
		map textures/ut_village4/blueflagmap.tga
                 tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/ut_village4/tubbanner1.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {

        	map textures/ut_village4/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/ut_village4/tubbanner2
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/ut_village4/rf.tga
		rgbGen identity
	}
        {
		map textures/ut_village4/blueflagmap.tga
                 tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/ut_village4/tubbanner2.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {

        	map textures/ut_village4/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}


textures/ut_village4/banner3
{
        tessSize 64
        deformVertexes wave 194 sin 0 1.5 0 .2
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/ut_village4/rf.tga
		rgbGen identity
	}
        {
		map textures/ut_village4/blueflagmap.tga
                 tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/ut_village4/banner3.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {

        	map textures/ut_village4/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/ut_village4/leaf

{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans
        {
        map textures/ut_village4/leaf.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
        }
        {
        map $lightmap
        rgbGen identity
        blendFunc filter
        depthFunc equal
        }

}

textures/ut_village4/plant02
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans
    surfaceparm nonsolid
//        surfaceparm playerclip
    surfaceparm noimpact
        {
        map textures/ut_village4/plant02.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
        }
        {
        map $lightmap
        rgbGen identity
        blendFunc filter
        depthFunc equal
        }

}



//textures/ut_village4/oldwindowdb
//{
//                      qer_trans .5
//                      surfaceparm trans
//                      cull disable
//                     {
//                      map textures/ut_village4/oldwindowdb.tga
//                      tcgen environment
//                      blendfunc gl_one gl_one
//                    rgbGen identity
//                  }
//                {
//              map $lightmap
//            blendFunc gl_dst_color gl_zero
//          rgbgen identity
//        }
//}